# This file created by conda-build 3.16.3
# meta.yaml template originally from:
# C:\ci\containers\000014eb0ok\tmp\build\80754af9\rsync-recipes\numba-0.41.0-python_2.7-c_compiler_vs2008-cxx_compiler_vs2008-on-winbuilder, last modified Thu Nov 29 00:24:29 2018
# ------------------------------------------------

package:
    name: numba
    version: 0.41.0
source:
    git_rev: 0.41.0
    git_url: https://github.com/numba/numba
build:
    entry_points:
        - numba = numba.numba_entry:main
        - pycc = numba.pycc:main
    number: '0'
    script_env:
        - PY_VCRUNTIME_REDIST
    string: py27h39f3610_0
requirements:
    build:
        - vs2008_win-64 9.00.30729.1 hb7fc0b5_1
    host:
        - blas 1.0 mkl
        - certifi 2018.10.15 py27_0
        - enum34 1.1.6 py27_1
        - funcsigs 1.0.2 py27h8885ae1_0
        - icc_rt 2017.0.4 h97af966_0
        - intel-openmp 2019.1 144
        - llvmlite 0.26.0 py27hc56fc5f_0
        - mkl 2018.0.3 1
        - numpy 1.11.3 py27hc42714f_10
        - numpy-base 1.11.3 py27h2753ae9_10
        - python 2.7.15 h2880e7c_4
        - setuptools 40.6.2 py27_0
        - singledispatch 3.4.0.3 py27h3f9d112_0
        - six 1.11.0 py27_1
        - vc 9 h7299396_1
        - vs2008_runtime 9.00.30729.1 hfaea7d5_1
        - vs2015_runtime 14.15.26706 h3a45250_0
        - wincertstore 0.2 py27hf04cefb_0
    run:
        - funcsigs
        - llvmlite >=0.26.0,<0.27.0a0
        - numpy >=1.11.3,<2.0a0
        - python >=2.7,<2.8.0a0
        - singledispatch
        - vc 9.*
test:
    files:
        - mandel.py
    imports:
        - numba
        - numba.annotations
        - numba.cuda
        - numba.cuda.cudadrv
        - numba.cuda.kernels
        - numba.cuda.simulator
        - numba.cuda.simulator.cudadrv
        - numba.cuda.tests
        - numba.cuda.tests.cudadrv
        - numba.cuda.tests.cudadrv.data
        - numba.cuda.tests.cudapy
        - numba.cuda.tests.cudasim
        - numba.cuda.tests.nocuda
        - numba.datamodel
        - numba.jitclass
        - numba.npyufunc
        - numba.pycc
        - numba.rewrites
        - numba.runtime
        - numba.scripts
        - numba.servicelib
        - numba.targets
        - numba.testing
        - numba.tests
        - numba.tests.npyufunc
        - numba.typeconv
        - numba.types
        - numba.typing
        - numba.unsafe
    requires:
        - cffi
        - faulthandler
        - ipython
        - jinja2
        - scipy
        - setuptools
about:
    description: 'Numba is an Open Source NumPy-aware optimizing compiler for Python

        sponsored by Anaconda, Inc. It uses the remarkable LLVM compiler

        infrastructure to compile Python syntax to machine code."

        '
    dev_url: https://github.com/numba/numba
    doc_url: http://numba.pydata.org/
    home: http://numba.github.com
    license: BSD 2-clause
    license_family: BSD
    license_file: LICENSE
    summary: NumPy aware dynamic Python compiler using LLVM
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - souravsingh
